Question-and-Answer Resource for the Building Energy Modeling Community
Get s tarted with the Help page
Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Invalid weather line error with API

I am using the Energyplus-API for simulation. So I am using the same python-script at home and at work. Both OS are Ubuntu 20.04 and only differences is the python version (work: 3.8; home:3.9). So at work everything is fine. My simulation is running and there are no complaints. But if i run the same script at home, with the same packages installed, I get an epw-file error. Here is the relevant output from the error-file. I am really clueless, because it is the same script with the same epw-file. And to increase the confusion, if I use the same epw-file on a small API simulation at home, there is no error. Just in the simulation script, which includes classes, there is an error. I thought maybe it is because of different package version or PyCharm, but I deleted and reinstalled everything and still there is the same problem. Maybe somebody came across a similar case.

Thank you very much in advance and have a nice day :)

  ************* Beginning Simulation
  ** Severe  ** Invalid Weather Line at date=1986/ 1/ 2 Hour#= 1 Min#=60
  **   ~~~   ** Full Data Line=1986,1,2,1,60,A7A7E8E8*0?9? 9A7A7A7A7A7A7*0E8*0*0, 
  -6.3,-7.8,88,95200,0,1415,227,0.0,0.0,0,0,0,0,0,170,1.0,7,2,12.0,7500,9,999999999,0,0.0560,1,88,0.000,0.0,0.0
 **   ~~~   ** Remainder of 
 line=-6.3,-7.8,88,95200,0,1415,227,0.0,0.0,0,0,0,0,0,170,1.0,7,2,12.0,7500,9,999999999,0,0.0560,1,88,0.000,0.0,0.0
 **  Fatal  ** Error in Reading Weather Data
 ...Summary of Errors that led to program termination:

Invalid weather line error with API

I am using the Energyplus-API for simulation. So I am using the same python-script at home and at work. Both OS are Ubuntu 20.04 and only differences is the python version (work: 3.8; home:3.9). So at work everything is fine. My simulation is running and there are no complaints. But if i run the same script at home, with the same packages installed, I get an epw-file error. Here is the relevant output from the error-file. I am really clueless, because it is the same script with the same epw-file. And to increase the confusion, if I use the same epw-file on a small API simulation at home, there is no error. Just in the simulation script, which includes classes, there is an error. I thought maybe it is because of different package version or PyCharm, but I deleted and reinstalled everything and still there is the same problem. Maybe somebody came across a similar case.

Thank you very much in advance and have a nice day :)

  ************* Beginning Simulation
  ** Severe  ** Invalid Weather Line at date=1986/ 1/ 2 Hour#= 1 Min#=60
  **   ~~~   ** Full Data Line=1986,1,2,1,60,A7A7E8E8*0?9? 9A7A7A7A7A7A7*0E8*0*0, 
  -6.3,-7.8,88,95200,0,1415,227,0.0,0.0,0,0,0,0,0,170,1.0,7,2,12.0,7500,9,999999999,0,0.0560,1,88,0.000,0.0,0.0
 **   ~~~   ** Remainder of 
 line=-6.3,-7.8,88,95200,0,1415,227,0.0,0.0,0,0,0,0,0,170,1.0,7,2,12.0,7500,9,999999999,0,0.0560,1,88,0.000,0.0,0.0
 **  Fatal  ** Error in Reading Weather Data
 ...Summary of Errors that led to program termination: